
#include <oslib/oslib.h>


//declaration
void TouchemenuCercle();


OSL_CIRCLE_MENU *Menu2;


void menuCercle_05()
{

	//Tres compliquer car beaucoup de variable desoler :) effet garentie
	Menu2 = oslCreateCircleMenu("media/icons01.png", 4, 180, 0, 80 , 80,40,240,20,120);


	while (!osl_quit)
	{
		//Debut du dessin
		oslStartDrawing();
		oslCls();

		oslMenuUpdateIcons(Menu2);
	
		TouchemenuCercle();

		oslSynchronization();
		if (osl_keys->pressed.start)break;

	}

}





//gestion des touches ^^
void TouchemenuCercle()
{
	oslReadKeys();

   if (osl_keys->pressed.left)
    {
	oslMenuMoveIcons(Menu2,1);
    }
    if (osl_keys->pressed.right)
    {
	oslMenuMoveIcons(Menu2,0);
    }
	
}

